"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function* splitIterable(iterable, sep) {
    let store = Array();
    for (const item of iterable) {
        if (sep(item)) {
            yield store;
            store = [];
        }
        else {
            store.push(item);
        }
    }
    yield store;
}
exports.splitIterable = splitIterable;
async function* splitAsyncIterable(iterable, sep) {
    let store = Array();
    for await (const item of iterable) {
        if (await sep(item)) {
            yield store;
            store = [];
        }
        else {
            store.push(item);
        }
    }
    yield store;
}
exports.splitAsyncIterable = splitAsyncIterable;
//# sourceMappingURL=index.js.map